## ntrack 016

=== debian/changelog ===
ntrack (016-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for Debian Buster.
  * debian/source/format: Specify "3.0 (quilt)" source package format.
  * debian/control:
    + Bump Standards-Version to 4.3.0 (lintian).
    + Bump debhelper compat to v9 (lintian).
    + Explicitly use "Qt4" in extended package description.
      (Closes: #648743)
    + Add Vcs-* fields and use git packaging repo under Salsa Debian
      Group.
    + Update homepage field and use secure uri.
  * debian/copyright: Update format specification metadata.
  * debian/changelog: Remove all trailing spaces.
  * debian/rules: Enable full hardening.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Feb 2019 16:55:58 -0500

ntrack (016-1.3) unstable; urgency=medium

  [ Steve McIntyre ]
  * Non-maintainer upload.

  [ Logan Rosen ]
  * use dh-autoreconf to fix FTBFS on ppc64el and arm64. Closes: #733284

 -- Steve McIntyre <93sam@debian.org>  Wed, 24 Sep 2014 18:45:42 +0100

ntrack (016-1.2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Non-maintainer upload.

  [ Philip Muskovac ]
  * Fix FTBFS - "error: invalid use of undefined type 'struct
    nl_object_ops'" (Closes: 713454)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 26 Dec 2013 20:05:44 +0000

ntrack (016-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build dependency on libnl3-dev to libnl-route-3-dev.
    (Closes: #653848)
  * Build with -Wno-error to work around some issues in libnl 3.2.
  * Update symbols file for libntrack-qt4-1.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jan 2012 19:43:44 +0100

ntrack (016-1) unstable; urgency=low

  Package upstream release 016

  Packaging:
  * debian/rules: use -c4 for all C libraries and -c1 for C++ qt4 binding
  * debian/control: add ntrack-module-rtnetlink-0 package to ship new
    rtnetlink backend.
  * debian/control: fix lintian warning; move Homepage URL from libntrack0
    package Description: to Homepage: field of source package (Closes: 615320)
  * debian/rules: add --enable-backend=libnl,rtnetlink to
    DEB_CONFIGURE_EXTRA_FLAGS so that we build both backends in one batch
  * debian/control: improve package description for qt4 binding (Closes: 642422)

  Fixed Bugs 012:
  * lp:694823 - fails to ./configure with gobject if pygobject depends are not
                installed
  * lp:736058 - ntrack 011 does not compile with libnl2 final
  * lp:694477 - new plugin API: introduce modules function table and macros to
                implement modules

  Fixed Bugs 013:
  * lp:743636 - ntrack 012 fails to build on 64 bit archs

  Fixed Bugs 014:
  * lp:743881 - h2def configure test should consider installs that have .pyc
                without .py
  * lp:748988 - ntrack should handle "no backend" status gracefully
  * lp:743879 - ntrack 013 doesn't build with libnl 3.0
  * lp:749608 - ntrack API should provide runtime info: version, author,
                copyright, backend

  Fixed Bugs 015:
  * lp:750554 - nl modules are not linked with libntrack even if they use
                symbols from it
  * lp:755608 - Ntrack dead loop in function get_nl_link_by_index
  * lp:834639 - Build failure with -Werror=strict-aliasing
  * lp:774690 - Build error in a fresh environment
  * lp:785119 - ntrack can get into endless poll loop if no backend modules
                found
  * lp:801407 - ntrack-014 compilation fails if all libnl[123] are present
                together
  * lp:448400 - add pure rtnetlink backend for linux
  * lp:879141 - support libnl 3.1

  Fixed Bugs 016:
  * lp:889820 - ftbfs in 'recv_msgs': 'link.ifla_name' may be used uninitialized
  * lp:889822 - rtnetlink configure check not portable across linux flavours

  Ack Debian NMUs:
  * Upload to unstable. This version builds with gcc-4.5. Closes: #615681.
    - fixed upstream
  * Add dead-loop-fix.patch from Kubuntu to fix infinite loop with kded.
    - fixed upstream lp:755608

  Ack Ubuntu fixes:
  [ Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com> ]
  * debian/control: replace libnl-dev Build-Depends with libnl3-dev
  * debian/libntrack0.symbols: add missing ntrack_info_human_banner symbol
    - both changes adopted in maintainer package

  [ Felix Geyer <debfx-pkg@fobos.de> ]
  * Add link_ntrack-libnl_to_libntrack.patch: Link ntrack-libnl to libntrack
    as it uses symbols from that library. This caused kded4 to be unable to
    load the module and enter an infinite loop. (LP: #750554)
    - fixed upstream in 015 release

  [ Scott Kitterman <scott@kitterman.com> ]
  * Add debian/patches/dead-loop-fix.patch to fix infinite loop if route
    oif/nhopif is NULL (LP: #755608)
    - One source of high/100% CPU usage in KDE
    - fixed upstream in 015 release

 -- Alexander Sack <asac@debian.org>  Sun, 13 Nov 2011 14:30:30 +0200

ntrack (011-1.2) unstable; urgency=low

   * Non-maintainer upload.
   * Add dead-loop-fix.patch from Kubuntu to fix infinite loop with kded.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Sep 2011 17:33:23 +0200

ntrack (011-1.1) unstable; urgency=low

   * Non-maintainer upload.
   * Upload to unstable. This version builds with gcc-4.5. Closes: #615681.
   * Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Sep 2011 00:21:48 +0200

ntrack (011-1) experimental; urgency=low

  * Upload new upstream release 011 to debian experimental

  Packaging Changes:
  * build depend on python-gtk2-dev for hardy; this will work for hardy and later fortunately
  * package libnl module in ntrack-module-libnl-0 and provide ntrack-module-0
  * libntrack0 depends on ntrack-module-libnl-0 | ntrack-module-0 to ensure
    some backend is installed

  Upstream Changes:
  * New upstream release for ntrack-011
   + {011} Release 011
   + update NEWS for 011 release
   + [merge] merge fix for lp:693500: make distcheck fails on hardy - lp:~asac/ntrack/lp693500
   + gobject: improve test-gmonitor-recycle.c by testing two life-cycles in one run

