=== debian/control ===
Source: ntrack
Maintainer: Alexander Sack <asac@debian.org>
Section: net
Priority: optional
Build-Depends:
 debhelper (>= 9), cdbs, quilt,
 libglib2.0-dev,
 libnl-route-3-dev,
 python-gtk2-dev,
 libqt4-dev,
Standards-Version: 4.3.0
Homepage: https://launchpad.net/ntrack
Vcs-Git: https://salsa.debian.org/debian/ntrack.git
Vcs-Browser: https://salsa.debian.org/debian/ntrack

Package: libntrack0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ntrack-module-libnl-0 | ntrack-module-rtnetlink-0 | ntrack-module-0
Description: lightweight connectivity tracking library
 ntrack aims to be a lightweight and easy to use library for application
 developers that want to get events on network online status changes such as
 online, offline or route changes.
 .
 The primary goal is to serve desktop applications in a network manager and
 desktop environment independent fashion. Also its supposed to be lightweight,
 resource un-intensive and extensible.
 .
 ntrack currently comes with bindings for glib, GObject, Qt4 and python-gobject.

Package: libntrack-dev
Section: libdevel
Architecture: any
Depends: libntrack0 (= ${binary:Version}), ${misc:Depends}
Description: Development package for ntrack
 Development files and tools for ntrack support

Package: libntrack-glib2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: glib API for ntrack
 gsource and mainloop integration for ntrack.

Package: libntrack-glib-dev
Section: libdevel
Architecture: any
Depends: libntrack-dev, libntrack-glib2 (= ${binary:Version}), ${misc:Depends}
Description: development package for libntrack glib API
 Development headers and friends for libntrack

Package: libntrack-gobject1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject API for ntrack
 GObject monitor API for network connectivity changes.

Package: libntrack-gobject-dev
Section: libdevel
Architecture: any
Depends: libntrack-glib-dev, libntrack-gobject1 (= ${binary:Version}), ${misc:Depends}
Description: Development package for libntrack-gobject API
 Development files for ntrack GObject API

Package: libntrack-qt4-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt 4 API for ntrack
 Qt 4 monitor API to get network connectivity change updates.

Package: libntrack-qt4-dev
Section: libdevel
Architecture: any
Depends: libntrack-dev, libntrack-qt4-1 (= ${binary:Version}), ${misc:Depends}
Description: Development package for libntrack-qt4
 Development files for ntrack Qt 4 API

Package: ntrack-module-libnl-0
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ntrack-module-0
Description: libnl based ntrack module
 ntrack module that uses the libnl backend

Package: ntrack-module-rtnetlink-0
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ntrack-module-0
Description: rtnetlink based ntrack module
 ntrack module that uses the rtnetlink backend
