=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

CFLAGS += -Wno-error

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-backend=libnl,rtnetlink \
	$(NULL)

DEB_DH_MAKESHLIBS_ARGS_libntrack0 = -- -c4
DEB_DH_MAKESHLIBS_ARGS_libntrack-glib2 = -- -c4
DEB_DH_MAKESHLIBS_ARGS_libntrack-gobject1 = -- -c4
DEB_DH_MAKESHLIBS_ARGS_libntrack-qt4-1 = -- -c1
